/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM Corporation - initial API and implementation
 * yyyymmdd bug      Email and other contact information
 * -------- -------- -----------------------------------------------------------
 * 20061128          pmoogk@ca.ibm.com - Peter Moogk, Initial coding
 *******************************************************************************/
package org.eclipse.example.webservice.runtime.ui;

import java.util.Vector;
import org.eclipse.wst.command.internal.env.core.ICommandFactory;
import org.eclipse.wst.command.internal.env.core.SimpleCommandFactory;
import org.eclipse.wst.common.environment.IEnvironment;
import org.eclipse.wst.ws.internal.wsrt.AbstractWebService;
import org.eclipse.wst.ws.internal.wsrt.IContext;
import org.eclipse.wst.ws.internal.wsrt.ISelection;
import org.eclipse.wst.ws.internal.wsrt.WebServiceInfo;
import org.eclipse.wst.ws.internal.wsrt.WebServiceScenario;

public class ExampleWebservice extends AbstractWebService
{
  public ExampleWebservice(WebServiceInfo info)
  {
    super(info);
  }

  public ICommandFactory assemble(IEnvironment env, IContext ctx,
      ISelection sel, String project, String earProject)
  {
    return null;
  }

  public ICommandFactory deploy(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    return null;
  }

  public ICommandFactory develop(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    Vector commands = new Vector();
    DataModel model = new DataModel();

    if (ctx.getScenario().getValue() == WebServiceScenario.BOTTOMUP) 
    {    
      commands.add(new ExampleDefaultingCommand( model ) );
      commands.add(new Page1ComesUpBeforeThisBUCommand( model ) );
    } 
    else if (ctx.getScenario().getValue() == WebServiceScenario.TOPDOWN) 
    {  
      commands.add(new ExampleDefaultingCommand( model ) );
      commands.add(new Page1ComesUpBeforeThisTDCommand( model ) );
    } 
    else 
    {
      return null;
    }

    return new SimpleCommandFactory(commands);
  }

  public ICommandFactory install(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    return null;
  }

  public ICommandFactory run(IEnvironment env, IContext ctx, ISelection sel,
      String project, String earProject)
  {
    return null;
  }
}
